> For the complete documentation index, see [llms.txt](https://docs.verygoodsecurity.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verygoodsecurity.com/vault/developer-tools/apis/vault-api/resource-limits.md).

# Resource Limits

#### Data Limits

This API allows storing data up to 32MB in size.

#### Rate Limiting

The API allows up to 3,000 requests per minute. Requests are associated with the vault, regardless of the access credentials used to authenticate the request. Your current rate limit is included as HTTP headers in every API response:

| Header Name                                                                            | Description                                              |
| -------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| `x-ratelimit-remaining`                                                                | The number of requests remaining in the 1-minute window. |
| If you exceed the rate limit, the API will reject the request with HTTP                |                                                          |
| [429 Too Many Requests](https://developer.mozilla.org/en-US/docs/Web/HTTP/Status/429). |                                                          |

#### Batch Operation Limits

The API allows up to 20 aliases to be changed per request for multiple alias operations.

#### Errors

The API uses standard HTTP status codes to indicate whether the request succeeded or not. In case of failure, the response body will be JSON in a predefined format. For example, trying to create too many aliases at once results in the following response:


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verygoodsecurity.com/vault/developer-tools/apis/vault-api/resource-limits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
